Bug 73413 - WebDAV support not functional?
WebDAV support not functional?
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-04 06:58 EDT by Joe Orton
Modified: 2015-01-07 19:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-04 10:06:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-09-04 06:58:53 EDT
Description of Problem:
Entering a DAV-enabled URL in the location bar does not present (or allow
switching to) a WebDAV view of the URL, but simply does a GET on the location
and the response displays the response as text.  I thought previously Nautilus
would give a DAV view by default; at least, it would at least allow changing to
"View as Icons" to give the DAV folder listing. 

Version-Release number of selected component (if applicable):
nautilus-2.0.6-6
gnome-vfs-1.0.5-6

How Reproducible:
Always

Steps to Reproduce:
1. Start Nautilus
2. Enter http://test.webdav.org/dav/

Actual Results:
No WebDAV view given or available

Expected Results:
WebDAV folder view.
Comment 1 Havoc Pennington 2002-09-04 09:25:11 EDT
it's indeed supposed to work.
Comment 2 Alexander Larsson 2002-09-04 10:37:35 EDT
That address doesn't work for me either, but http://idisk.mac.com/tigert/Public
does, and so does http://svn.collab.net/repos/svn. Don't know what is causing
the first one to fail, but i don't know much about webdav.

Comment 3 Joe Orton 2002-09-05 12:05:37 EDT
The problem with http://test.webdav.org/dav/ is that the trailing slash from the
URL is getting stripped in the PROPFIND request made by gnome-vfs, which is not
correct; a PROPFIND request on a collection (aka folder) should always have a
trailing slash in the request-uri.

The PROPFIND on http://test.webdav.org/dav gets a 30x redirect to /dav/; the
redirect is followed, but with a GET request.

(Some servers respond to the PROPFIND-without-trailing-slash fine, though)
Comment 4 Alexander Larsson 2002-09-10 02:52:18 EDT
I filed this bug upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=92908

Defering this bug until it's fixed upstream.
Comment 5 Alexander Larsson 2004-03-04 10:05:40 EST
Fixed upstream now. Will be in the next version.
Comment 6 Alexander Larsson 2004-03-04 10:06:45 EST
I'm closing this now so i won't forget it, but it'll be fixed when
gnome-vfs2 2.5.9 builds.

Note You need to log in before you can comment on or make changes to this bug.